@echo off
"_Assembly Tools\AS\asl.exe" -q -w -cpu Z80 -gnuerrors -c -A -xx "SHC.asm"
"_Assembly Tools\AS\p2bin.exe" "SHC.p" "SHC2021_SMS.bin" -r 0x-0x

IF NOT EXIST "SHC.p" goto Error
CLS
DEL "SHC.p"
DEL "SHC.h"

if "%1"=="1" goto End

:Error
pause

:End

